DCMTK: DVPSOverlayCurveActivationLayer Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Public Member Functions | Private Member Functions | Private Attributes | List of all members
DVPSOverlayCurveActivationLayer Class Reference

a curve or overlay activation layer in a presentation state (internal use only). More...

## Public Member Functions
| DVPSOverlayCurveActivationLayer ()
| default constructor
| DVPSOverlayCurveActivationLayer (const DVPSOverlayCurveActivationLayer &copy)
| copy constructor
DVPSOverlayCurveActivationLayer * | clone ()
| clone method.
virtual | ~DVPSOverlayCurveActivationLayer ()
| destructor
OFCondition | read (DcmItem &dset, Uint16 ovGroup)
| reads the activation layer for the specified repeating group from a DICOM dataset.
OFCondition | write (DcmItem &dset)
| writes the activation layer managed by this object to a DICOM dataset.
void | setActivationLayer (const char *aLayer)
| set activation layer name of this activation.
void | setRepeatingGroup (Uint16 rGroup)
| set repeating group of this activation.
const char * | getActivationLayer ()
| get activation layer name.
Uint16 | getRepeatingGroup ()
| get repeating group.
OFBool | isRepeatingGroup (Uint16 rGroup)
| compare repeating group.

## Private Member Functions
DVPSOverlayCurveActivationLayer & | operator= (const DVPSOverlayCurveActivationLayer &)
| private undefined assignment operator

## Private Attributes
Uint16 | repeatingGroup
| the repeating group managed by this object
DcmCodeString | activationLayer
| VR=CS, VM=1, Type 2c.

## Detailed Description

a curve or overlay activation layer in a presentation state (internal use only).

This class manages the data structures comprising a single curve activation layer or overlay activation layer (one instance of the Curve Activation Layer Module or Overlay Activation Layer Module repeating elements) contained in a Presentation State object.

## Member Function Documentation

## ◆ clone()

DVPSOverlayCurveActivationLayer * DVPSOverlayCurveActivationLayer::clone | ( |  | ) |
| inline

clone method.

Returns
  a pointer to a new DVPSOverlayCurveActivationLayer object containing a copy of this object.

References DVPSOverlayCurveActivationLayer().

## ◆ getActivationLayer()

const char * DVPSOverlayCurveActivationLayer::getActivationLayer | ( |  | ) |

get activation layer name.

Returns
  a pointer to the activation layer name (might be NULL)

## ◆ getRepeatingGroup()

Uint16 DVPSOverlayCurveActivationLayer::getRepeatingGroup | ( |  | ) |

get repeating group.

Returns
  the repeating group of this activation.

## ◆ isRepeatingGroup()

OFBool DVPSOverlayCurveActivationLayer::isRepeatingGroup | ( | Uint16 | rGroup | ) |

compare repeating group.

Parameters

  rGroup | the repeating group to compare

Returns
  OFTrue if the activation matches the passed repeating group, OFFalse otherwise.

## ◆ read()

OFCondition DVPSOverlayCurveActivationLayer::read | ( | DcmItem & | dset,
|  | Uint16 | ovGroup )

reads the activation layer for the specified repeating group from a DICOM dataset.

The DICOM elements of the Overlay/Curve Activation Layer module are copied from the dataset to this object. The completeness of the module is checked. If this method returns an error code, the object is in undefined state afterwards.

Parameters

  dset | the DICOM dataset from which the activation layer is to be read
  ovGroup | the the repeating group to be read

Returns
  EC_Normal if successful, an error code otherwise.

## ◆ setActivationLayer()

void DVPSOverlayCurveActivationLayer::setActivationLayer | ( | const char * | aLayer | ) |

set activation layer name of this activation.

Parameters

  aLayer | a pointer to the activation layer name, which is copied into this object.

## ◆ setRepeatingGroup()

void DVPSOverlayCurveActivationLayer::setRepeatingGroup | ( | Uint16 | rGroup | ) |

set repeating group of this activation.

Parameters

  rGroup | the repeating group

## ◆ write()

OFCondition DVPSOverlayCurveActivationLayer::write | ( | DcmItem & | dset | ) |

writes the activation layer managed by this object to a DICOM dataset.

Copies of the DICOM elements managed by this object are inserted into the DICOM dataset.

Parameters

  dset | the DICOM dataset to which the activation layer is written

Returns
  EC_Normal if successful, an error code otherwise.

The documentation for this class was generated from the following file:

- dcmpstat/include/dcmtk/dcmpstat/dvpsal.h

Generated on Wed Apr 30 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2